#' Replication Data for: Statistical Inference and Power Analysis for Direct and Spillover Effects in Two-Stage Randomized Experiments
#'
#' @usage data(jd)
#' @format A data frame with columns:
#' \describe{
#'  \item{anonale}{The local employment agency.}
#'  \item{tempsc_av}{Categorical variable for full-time work at time of assignment (1: 1-4 months, 2: 4-8 months, 3: 8-12 months, 4: 12+ months)}
#'  \item{assigned}{An indicator variable for whether or not the individual is assigned to treatment.}
#'  \item{pct0}{The share of the local population treated (as a decimal).}
#'  \item{cdi}{An indicator variable for whether the individual works on a permanent contract 8 months after assignment.}
#'  \item{cdd6m}{An indicator variable for whether the individual works in CDD (LTFC-time contract) for more than 6 months, 8 months after the assignment.}
#'  \item{emploidur}{An indicator variable for whether the individual works on a permanent or LTFC-term contract for more than 6 months, 8 months after the assignment.}
#'  \item{tempsc}{An indicator variable for whether the individual works full time, 8 months after the assignment.}
#'  \item{salaire}{The individual's salary in Euros.}
#' }
#' 

"jd"